Skip to main content
`Ctrl`+`K`

# SNESNewtonTRSetTolerances

Sets the trust region parameter tolerances.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonTRSetTolerances(SNES snes, PetscReal delta_min, PetscReal delta_max, PetscReal delta_0)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- delta_min - minimum allowed trust region size

- delta_max - maximum allowed trust region size

- delta_0 - initial trust region size

## Options Database Key

- -snes_tr_deltamin tol - Set minimum size

- -snes_tr_deltamax tol - Set maximum size

- -snes_tr_delta0 tol - Set initial size

## Note

Use `PETSC_DETERMINE` to use the default value for the given `SNES`. Use `PETSC_CURRENT` to retain a value.

## Fortran Note

Use `PETSC_DETERMINE_REAL`, `PETSC_CURRENT_REAL`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONTR`, `SNESNewtonTRGetTolerances()`

## Level

intermediate

## Location

src/snes/impls/tr/tr.c

## Implementations

SNESNewtonTRSetTolerances_TRDC() in src/snes/impls/ntrdc/ntrdc.c
SNESNewtonTRSetTolerances_TR() in src/snes/impls/tr/tr.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages